

struct pcrcfDAD : public DAD {
  pcrcfDAD(void* _data, const int _elementType, const int _elementLen,
           const int _rank, const Group& _group) ;

  pcrcfDAD(const int _rank, pcrcfDAD& parent) ;

  pcrcfDAD(void* _data, pcrcfDAD& parent) ;

  ~pcrcfDAD() ;

  void addRange(const int r, Range x) ;

  void addTriplet(const int r,
		  const int lb, const int ub, const int stride,
		  pcrcfDAD& parent, const int s) ;

  void addScalar(const int u, pcrcfDAD& parent, const int s) ;

  Range rngs [8] ;

  int strs [8] ;

  int elementLen ;
  int elementType ;

  int size ;
  void* data ;

  int grpHandle ;
  int rngHandles [8] ;
} ;


